*  ͸
*      There are two programs and two data base files included          
*          with the Bld_qry system.                                     
*      This READ.ME is a sample driver program which calls Bld_qry,     
*      the first process uses one file, second uses two related files.  
*                                                                       
*      Data Base files included: TEST_Q1 (DBF,MDX)                      
*                                TEST_Q2 (DBF,MDX)                      
*                                                                       
*    Additional documentation is included at the front of Bld_qry.prg   
*                                                                       
*  ;
*  Ŀ
*      sample use of bld_qry.prg procedure using one file         
*  

USE test_q1 ORDER callnumber            && Select 1st data base
GOTO TOP
xxx = ""
yyy = "Sample Data Base Query #1"

DO Bld_qry with xxx,yyy                 && run Query Build

IF LEN(xxx) = 0                         && check for nul compare string
    CLEAR
    WAIT "Escape pressed, no fields to process"
    CLOSE DATABASES
    RETURN
    ENDIF

CLEAR
GOTO TOP
LIST FOR &xxx.
WAIT "Above records have been selected"
CLEAR
CLOSE DATABASES

*  Ŀ
*      sample use of bld_qry.prg procedure using related files    
*  

USE test_q1  ORDER callnumber            && Select 1st data base
USE test_q2  ORDER callnumber in 2       && Select 2nd data base
SET RELATION TO CALLNO INTO test_q2      && Relate the two
SET SKIP TO                              && Set skip to one-to-one
GOTO TOP

SET FIELDS TO test_q1->callno, test_q1->char_test,;
              test_q2->inventory, test_q2->long_desc

xxx = ""
yyy = "Sample Data Base Query #2"

DO Bld_qry with xxx,yyy                 && run Query Build

IF LEN(xxx) = 0                         && check for nul compare string
    CLEAR
    WAIT "Escape pressed, no fields to process"
    CLOSE DATABASES
    RETURN
    ENDIF

CLEAR
GOTO TOP
LIST FOR &xxx.
WAIT "Above records have been selected"
CLEAR
CLOSE ALL
RETURN

* Ŀ
*   END OF READ.ME TEST PROGRAM                          
* 

